package com.caimei.www.pojo.document;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2020/11/11
 */
@Data
public class OssArchivePdf implements Serializable {
    private Integer id;

    /**
     * 对应cm_oss_archive表id
     */
    private Integer archiveId;

    /**
     * 对应product表id
     */
    private Integer productId;

    /**
     * 资料名称
     */
    private String name;

    /**
     * oss存储名
     */
    private String ossName;

    /**
     * 是否支持下载: 0不支持,1支持
     */
    private String isDownload;

    /**
     * 文件唯一标识
     */
    private String md5Hex;

    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date uploadTime;

    /**
     * 访问pdf链接
     */
    private String url;
}
