
/*
*封装的ajax函数
* Created by ZHJY on 2020/06/03.
* @param  option.type     请求类型  get 和 post
* @param  option.json     数据请求方式,
* @param  option.url(必选) 请求的url地址   相同域名下的页面（此函数不支持跨域请求）
* @param  option.data(必选) 请求协带的参数  以js对象的形式定义，如：{name:'张三'}
* @param  option.replace  是否更新续签
* @param  option.mask     是否使用模态层加载动画
*/
var LocakkHost = {
        AjaxService : function(option){
            var loading = '';
            var def = $.Deferred();
            console.log(option.json);
            $.ajax({
                url: option.url,
                data: option.data,
                responseType:'blob',
                xhrFields: {//此处为跨域后台保持session一致,切勿删除!!!
                    withCredentials: true
                },
                type: option.type,
                dataType: "json",
                async:false,
                cache:false,
                contentType: option.json ? 'application/json;charset=UTF-8' : 'application/x-www-form-urlencoded',
                beforeSend:function () {
                    // if (option.mask) {
                    //     loading = layer.load(0,{shade: [0.1,'#000']}); //0.1透明度的白色背景
                    // }
                }
            }).then(function(res) {
                if(res.code== -99){
                    location.href = "/document/login.html";
                }else{
                    def.resolve(res);
                }
            }, function(error) {
                CAIMEI.Alert('网络请求超时，请重试~','确定',true,function () {
                    window.location.reload();
                });
                def.reject(error);
            });
            return def;
        }
};
