var documentList = new Vue({
    el: "#documentList",
    data: {
        pdfId:0,
        ossArchive:{},
        ossArchivePdf: {},
        keyWord:'',
        is_Wechat_bowcr:false,
        isWechatShowToest:false
    },
    computed: {

    },
    methods: {
        GetDocumentDataDetailsInfo:function(){//查询资料详情
            var _self = this;
            DocumentApi.GetDocumentDataDetails({pdfId:_self.pdfId},function(response){
                if(response.code == 0){
                    var data = response.data;
                    _self.ossArchive = data.ossArchive;
                    _self.ossArchivePdf = data.ossArchivePdf;
                    var pdfh5 = new Pdfh5('#pdfMedia', {
                            pdfurl:  _self.ossArchivePdf.url
                    });
                }else{
                    CAIMEI.Alert(response.msg, '确定', false);
                }
            })
        },
        searchKeyWord:function(){//搜索
            var _self = this;
            if (_self.keyWord ==''){
                CAIMEI.dialog('请输入搜索关键字',false,function () {});
                return;
            }
            location.href = '/document/list.html?keyWord='+encodeURI(_self.keyWord);
        },
        MoreDetails:function(){
            var _self = this;
            location.href = '/document/more-content.html?id='+_self.ossArchive.id;
        },
        download:function() {
            var _self = this;
            if(_self.is_Wechat_bowcr){
                _self.isWechatShowToest = true
            }else{
                // var BLOB = new Blob([data]);
                // var url = window.URL.createObjectURL(BLOB);
                var DownloadLink = document.createElement('a');
                DownloadLink.style.display = 'none';
                DownloadLink.href = _self.ossArchivePdf.url;
                DownloadLink.setAttribute('download', _self.ossArchivePdf.name);
                document.body.appendChild(DownloadLink);

                DownloadLink.click();
                document.body.removeChild(DownloadLink);
            }
        },
        HideWechatShowToest:function(){
            this.isWechatShowToest = false;
        },
        // PdfDetails:function(){//跳转
        //     var _self = this;
        //     location.href = '/document/pdfdetails.html?id='+_self.ossArchivePdf.id
        // },
        goPathList:function(){
            location.href = '/document/list.html';
        }
    },
    created: function () {

    },
    mounted: function () {
        this.pdfId = CAIMEI.getUrlParam('id');
        this.GetDocumentDataDetailsInfo();
        var viewer = window.navigator.userAgent.toLowerCase();
        if(viewer.match(/MicroMessenger/i) == 'micromessenger'){
            this.is_Wechat_bowcr = true;
        }else{
            this.is_Wechat_bowcr = false;
        }
    }
});
