package com.caimei.www.pojo.document;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2020/11/11
 */
@Data
public class OssArchive implements Serializable {
    private Integer id;

    /**
     * 资料库名称
     */
    private String name;

    /**
     * 对应商品表id
     */
    private Integer productId;

    /**
     * 添加时间
     */
    private Date addTime;

    /**
     * 商品主图
     */
    private String mainImage;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 供应商id
     */
    private Integer shopId;

    /**
     * 资料库下PDF文件
     */
    private List<OssArchivePdf> pdfList;

    /**
     * 前端使用
     */
    private Boolean isShowDowns;
}
