var spiServer = $("#spiServer").val();
var isPC = ($(window).width()>768);
/** 表单输入框校验 */
function verifyHandle(obj){
    if ($(obj).is(":hidden")) { return false; }
    var v = $.trim($(obj).val()).replace(/\s+/g,"");
    var reg = $(obj).attr("rule");
    var errorTxt = $(obj).siblings('.errTips').attr("tips");
    if ($.trim(v) === '') {
        if ($(obj).attr("placeholder") && $(obj).attr("placeholder").indexOf("请输入")>=0) {
            errorTxt = $(obj).attr("placeholder").split("请输入")[1]+'不能为空';
        } else {
            errorTxt = '不能为空';
        }
        setErrorTxt(obj, errorTxt);
        return false;
    }else if (typeof reg != "undefined") {
        reg = new RegExp(reg);
        if (!reg.test(v)) {
            setErrorTxt(obj, errorTxt);
            return false;
        }
    }
    clearErrorTxt(obj);
}
function setErrorTxt(obj, txt) {
    $(obj).parent().addClass("error").find('.checked').removeClass("show");
    $(obj).siblings('.errTips').text(txt).addClass("show");
}
function clearErrorTxt(obj) {
    $(obj).siblings('.errTips').removeClass("show");
    $(obj).parent().removeClass("error").find('.checked').addClass("show");
}
// 提交时验证表单
function verifyForm() {
    $("[needverify]:visible").each(function (index, ele) {
        if (!$(ele).siblings('.checked').hasClass("show")) {
            verifyHandle(ele);
        }
    });
    var len = $('.errTips.show:visible').length;
    return (len === 0);
}
// 单个验证表单
function verifyCheack(ele) {
    if (!$(ele).siblings('.checked').hasClass("show")) {
        verifyHandle(ele);
    }
    var len = $(ele).siblings('.errTips.show:visible').length;
    return (len === 0);
}



