var documentList = new Vue({
    el: "#documentList",
    data: {
        pdfId:0,
        ossArchive:{},
        keyWord:'',
        is_Wechat_bowcr:false,
        isWechatShowToest:false
    },
    computed: {

    },
    methods: {
        GetDocumentMoreDataInfo:function(){//查询更多资料详情
            var _self = this;
            DocumentApi.GetDocumentMoreData({archiveId:_self.archiveId},function(response){
                if(response.code ==0){
                    var data = response.data;
                    _self.ossArchive = data;
                }else{
                    CAIMEI.Alert(response.msg, '确定', false);
                }
            })
        },
        PdfDetails:function(id){//跳转
            location.href = '/document/details.html?id='+id;
        },
        searchKeyWord:function(){//搜索
            var _self = this;
            if (_self.keyWord ==''){
                CAIMEI.dialog('请输入搜索关键字',false,function () {});
                return;
            }
            location.href = '/document/list.html?keyWord='+encodeURI(_self.keyWord);
        },
        goPathList:function(){
            location.href = '/document/list.html';
        },
        download:function(pdf) {
            var _self = this;
            if(_self.is_Wechat_bowcr){
                _self.isWechatShowToest = true
            }else{
                // var BLOB = new Blob(['/7qBjQ4SKBd.txt']);
                // var url = window.URL.createObjectURL(BLOB);
                var DownloadLink = document.createElement('a');
                DownloadLink.style.display = 'none';
                DownloadLink.href = pdf.url;
                DownloadLink.setAttribute('download', pdf.name);
                document.body.appendChild(DownloadLink);
                DownloadLink.click();
                document.body.removeChild(DownloadLink);
            }
        },
        HideWechatShowToest:function(){
            this.isWechatShowToest = false;
        }
    },
    created: function () {

    },
    mounted: function () {
        this.archiveId = CAIMEI.getUrlParam('id');
        var viewer = window.navigator.userAgent.toLowerCase();
        if(viewer.match(/MicroMessenger/i) == 'micromessenger'){
            this.is_Wechat_bowcr = true;
        }else{
            this.is_Wechat_bowcr = false;
        }
        this.GetDocumentMoreDataInfo();
    }
});
